> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionq.com/llms.txt
> Use this file to discover all available pages before exploring further.

> List all available backends including QPUs and simulators.

# Get Backends

List all available [backends](/user-manual/glossary#backend) including both [QPUs](/user-manual/glossary#qpu) and [simulators](/user-manual/glossary#simulator). This shows each backend's current status (available, unavailable, degraded), number of qubits, average queue time, and links to performance [characterizations](/user-manual/glossary#characterizations).

Learn more about [available backends](/user-manual/backends).


## OpenAPI

````yaml https://api.ionq.co/v0.4/api-docs GET /backends
openapi: 3.0.3
info:
  contact:
    email: support@ionq.co
    name: IonQ
    url: https://ionq.com/
  description: |
    *Last updated: April 30, 2026*
    IonQ's API for accessing the IonQ Quantum Cloud platform

    Please subscribe for automated updates when we perform maintenance or
    experience an outage.

    In addition, you may use the [status endpoint](#tag/status) to check the
    current status of our API.

    ## Authentication

    <SecurityDefinitions />
  title: IonQ Cloud Platform API
  version: v0.4
servers:
  - url: https://api.ionq.co/v0.4
security: []
paths:
  /backends:
    get:
      tags:
        - backends
      summary: Get Backends
      description: This endpoint retrieves all backends.
      operationId: getBackends
      responses:
        '200':
          $ref: '#/components/responses/ListBackends'
      security: []
      x-codeSamples:
        - lang: curl
          source: |
            curl "https://api.ionq.co/v0.4/backends"
components:
  responses:
    ListBackends:
      content:
        application/json:
          schema:
            description: The list of backends.
            items:
              $ref: '#/components/schemas/Backend'
            type: array
      description: Successfully retrieved backend.
  schemas:
    Backend:
      description: A backend that you can target your program to run on.
      properties:
        average_queue_time:
          description: Current wait time on the queue for execution.
          example: 1181215
          format: unix-timestamp
          type: number
        backend:
          description: >-
            Specifies target hardware and generation where applies: `simulator`,
            `qpu.aria-1`, `qpu.aria-2`, `qpu.forte-1`, `qpu.forte-enterprise-1`,
            `qpu.forte-enterprise-2`, `qpu.forte-enterprise-3`
          example: qpu.aria-1
          type: string
        characterization_id:
          description: Current characterization ID for this backend
          example: 617a1f8b-59d4-435d-aa33-695433d7155e
          type: string
        degraded:
          description: Flag to tell if the backend is degraded or not.
          type: boolean
        kw:
          description: The amount of energy used by the backend in kilowatt-hours.
          example: 4902.81
          format: double
          type: number
        last_updated:
          description: Last date time the backend status was updated.
          example: '2025-06-16T00:00:00Z'
          type: string
        location:
          description: The location of the backend.
          example: College Park, MD, USA
          type: string
        qubits:
          description: The number of qubits available.
          example: 25
          minimum: 0
          type: integer
        status:
          description: >-
            Current status of the backend: `available`, `unavailable`,
            `retired`.
          type: string
      required:
        - backend
        - status
        - qubits
        - average_queue_time
        - last_updated
      type: object

````